apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-calendars-service
  namespace: calendar-29550959-production
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/use-regex: 'true'
spec:
  tls:
    - hosts:
        - lifestack.fubz.dev
  rules:
    - host: lifestack.fubz.dev
      http:
        paths:
          - path: /api/calendars
            pathType: Prefix
            backend:
              service:
                name: production-auto-deploy
                port:
                  number: 5000